/******************************************************************************
 * musicpop.hpp
 * Music activity dialog.
 *-----------------------------------------------------------------------------
 * Copyright (C) 2015 - 2016 Osman Celimli
 * For conditions of distribution and use, see copyright notice in playtone.cpp
 ******************************************************************************/
#ifndef MUSICPOP
#define MUSICPOP

class MusicPop {
	public:
		MusicPop(HWND hParent);
		~MusicPop(void);

		void setupList(HWND hPop);
		void pushList(void);
		void pollTone(void);

		BOOL createPop(void);
		void closePop(BOOL bForce);

		BOOL checkPop(void);
		HWND getPop(void);

	private:
		HWND mhParent;

		HWND mhPop,mhList;
		UINT muiRows;
		TCHAR *mpszItems;
};

#endif
